## lmdb 0.9.16

=== libraries/liblmdb/Makefile ===
# Makefile for liblmdb (Lightning memory-mapped database library).

########################################################################
# Configuration. The compiler options must enable threaded compilation.
#
# Preprocessor macros (for CPPFLAGS) of interest...
# Note that the defaults should already be correct for most
# platforms; you should not need to change any of these.
# Read their descriptions in mdb.c if you do:
#
# - MDB_USE_POSIX_SEM
# - MDB_DSYNC
# - MDB_FDATASYNC
# - MDB_FDATASYNC_WORKS
# - MDB_USE_PWRITEV
#
# There may be other macros in mdb.c of interest. You should
# read mdb.c before changing any of them.
#
CC	= gcc
W	= -W -Wall -Wno-unused-parameter -Wbad-function-cast -Wuninitialized
THREADS = -pthread
OPT = -O2 -g
CFLAGS	= $(THREADS) $(OPT) $(W) $(XCFLAGS)
LDLIBS	=
SOLIBS	=
prefix	= /usr/local

########################################################################

IHDRS	= lmdb.h
ILIBS	= liblmdb.a liblmdb.so
IPROGS	= mdb_stat mdb_copy mdb_dump mdb_load
IDOCS	= mdb_stat.1 mdb_copy.1 mdb_dump.1 mdb_load.1
PROGS	= $(IPROGS) mtest mtest2 mtest3 mtest4 mtest5
all:	$(ILIBS) $(PROGS)

install: $(ILIBS) $(IPROGS) $(IHDRS)
	for f in $(IPROGS); do cp $$f $(DESTDIR)$(prefix)/bin; done
	for f in $(ILIBS); do cp $$f $(DESTDIR)$(prefix)/lib; done
	for f in $(IHDRS); do cp $$f $(DESTDIR)$(prefix)/include; done
	for f in $(IDOCS); do cp $$f $(DESTDIR)$(prefix)/man/man1; done

clean:
	rm -rf $(PROGS) *.[ao] *.[ls]o *~ testdb

test:	all
	rm -rf testdb && mkdir testdb
	./mtest && ./mdb_stat testdb

liblmdb.a:	mdb.o midl.o
	ar rs $@ mdb.o midl.o

liblmdb.so:	mdb.lo midl.lo
#	$(CC) $(LDFLAGS) -pthread -shared -Wl,-Bsymbolic -o $@ mdb.o midl.o $(SOLIBS)
	$(CC) $(LDFLAGS) -pthread -shared -o $@ mdb.lo midl.lo $(SOLIBS)

mdb_stat: mdb_stat.o liblmdb.a
mdb_copy: mdb_copy.o liblmdb.a
mdb_dump: mdb_dump.o liblmdb.a
mdb_load: mdb_load.o liblmdb.a
mtest:    mtest.o    liblmdb.a
mtest2:	mtest2.o liblmdb.a
mtest3:	mtest3.o liblmdb.a
mtest4:	mtest4.o liblmdb.a
mtest5:	mtest5.o liblmdb.a
mtest6:	mtest6.o liblmdb.a

mdb.o: mdb.c lmdb.h midl.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c mdb.c

midl.o: midl.c midl.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c midl.c

mdb.lo: mdb.c lmdb.h midl.h
	$(CC) $(CFLAGS) -fPIC $(CPPFLAGS) -c mdb.c -o $@

midl.lo: midl.c midl.h
	$(CC) $(CFLAGS) -fPIC $(CPPFLAGS) -c midl.c -o $@

%:	%.o
	$(CC) $(CFLAGS) $(LDFLAGS) $^ $(LDLIBS) -o $@

%.o:	%.c lmdb.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -c $<

COV_FLAGS=-fprofile-arcs -ftest-coverage
COV_OBJS=xmdb.o xmidl.o

coverage: xmtest
	for i in mtest*.c [0-9]*.c; do j=`basename \$$i .c`; $(MAKE) $$j.o; \
		gcc -o x$$j $$j.o $(COV_OBJS) -pthread $(COV_FLAGS); \
		rm -rf testdb; mkdir testdb; ./x$$j; done
	gcov xmdb.c
	gcov xmidl.c

xmtest:	mtest.o xmdb.o xmidl.o
	gcc -o xmtest mtest.o xmdb.o xmidl.o -pthread $(COV_FLAGS)

xmdb.o: mdb.c lmdb.h midl.h
	$(CC) $(CFLAGS) -fPIC $(CPPFLAGS) -O0 $(COV_FLAGS) -c mdb.c -o $@

xmidl.o: midl.c midl.h
	$(CC) $(CFLAGS) -fPIC $(CPPFLAGS) -O0 $(COV_FLAGS) -c midl.c -o $@

## lmdb 0.9.7

=== debian/changelog ===
lmdb (0.9.7-1) unstable; urgency=low

  * New upstream version 0.9.7
  * Initial release based on work by Jean-Christophe Dubacq
    (Closes: #694757)
  * Debian changes from upstream:
    + The binaries are linked with shared library (not the static)
    + The lmdb library now has a proper SONAME
    + MultiArch: The lmdb library is installed into /usr/lib/<triplet>
  * Add lmdb-doc with doxygen generated documentation

 -- Ondřej Surý <ondrej@debian.org>  Mon, 19 Aug 2013 10:47:52 +0200

=== debian/control ===
Source: lmdb
Section: database
Priority: optional
Maintainer: Debian Berkeley DB Group <pkg-db-devel@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>
Build-Depends: debhelper (>= 9),
	       doxygen
Standards-Version: 3.9.4
Homepage: http://symas.com/mdb/

Package: lmdb-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Lightning Memory-Mapped Database Utilities
 This package provides tools for manipulating LMDB databases:
  * mdb_stat - LMDB environment status tool
  * mdb_copy - LMDB environment copy tool
 .
 Lighting Memory-Mapped Database (LMDB) is an ultra-fast, ultra-compact
 key-value embedded data store developed for the OpenLDAP Project.  It uses
 memory-mapped files, so it has the read performance of a pure in-memory
 database while still offering the persistence of standard disk-based
 databases, and is only limited to the size of the virtual address space, (it
 is not limited to the size of physical RAM).

Package: lmdb-dbg
Architecture: any
Section: debug
Priority: extra
Pre-Depends: multiarch-support
Depends: liblmdb0 (= ${binary:Version}),
	 ${misc:Depends}
Multi-Arch: same
Description: Lightning Memory-Mapped Database debug files
 This package provides the detached debug symbols for the LMDB libraries
 and utilities.
 .
 Lighting Memory-Mapped Database (LMDB) is an ultra-fast, ultra-compact
 key-value embedded data store developed for the OpenLDAP Project.  It uses
 memory-mapped files, so it has the read performance of a pure in-memory
 database while still offering the persistence of standard disk-based
 databases, and is only limited to the size of the virtual address space, (it
 is not limited to the size of physical RAM).

Package: liblmdb0
Architecture: any
Section: libs
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Lightning Memory-Mapped Database shared library
 This package contains the LMDB shared library.
 .
 Lighting Memory-Mapped Database (LMDB) is an ultra-fast, ultra-compact
 key-value embedded data store developed for the OpenLDAP Project.  It uses
 memory-mapped files, so it has the read performance of a pure in-memory
 database while still offering the persistence of standard disk-based
 databases, and is only limited to the size of the virtual address space, (it
 is not limited to the size of physical RAM).

Package: liblmdb-dev
Architecture: any
Section: libdevel
Pre-Depends: multiarch-support
Multi-Arch: same
Depends: liblmdb0 (= ${binary:Version}),
	 ${misc:Depends}
Description: Lightning Memory-Mapped Database development files
 This package contains the development libraries, header files and man pages.
 .
 Lighting Memory-Mapped Database (LMDB) is an ultra-fast, ultra-compact
 key-value embedded data store developed for the OpenLDAP Project.  It uses
 memory-mapped files, so it has the read performance of a pure in-memory
 database while still offering the persistence of standard disk-based
 databases, and is only limited to the size of the virtual address space, (it
 is not limited to the size of physical RAM).

Package: lmdb-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Lightning Memory-Mapped Database doxygen documentation
 This package contains the doxygen generated documentation for the
 LMDB library.
 .
 Lighting Memory-Mapped Database (LMDB) is an ultra-fast, ultra-compact
 key-value embedded data store developed for the OpenLDAP Project.  It uses
 memory-mapped files, so it has the read performance of a pure in-memory
 database while still offering the persistence of standard disk-based
 databases, and is only limited to the size of the virtual address space, (it
 is not limited to the size of physical RAM).

## lmdb 0.9.10

=== debian/changelog ===
lmdb (0.9.10-1) unstable; urgency=low

  * New upstream version 0.9.10
  * Properly add Breaks&Replaces liblmdb-dev (<< 0.9.9-1) to lmdb-doc (Closes: #728165)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 18 Dec 2013 11:27:57 +0100

lmdb (0.9.9-1) unstable; urgency=low

  * New upstream version 0.9.9
  * Move manpages from liblmdb-dev to lmdb-doc package (Closes: #723665)
  * Merge all debian patches to single maintainable patch
  * Update liblmdb0 symbols

 -- Ondřej Surý <ondrej@debian.org>  Fri, 25 Oct 2013 10:00:17 +0200

=== debian/control ===
--- 
+++ 
@@ -66,8 +66,10 @@
 Multi-Arch: same
 Depends: liblmdb0 (= ${binary:Version}),
 	 ${misc:Depends}
+Recommends: lmdb-doc
 Description: Lightning Memory-Mapped Database development files
- This package contains the development libraries, header files and man pages.
+ This package contains the development libraries, header files.  Install
+ lmdb-doc package for man pages.
  .
  Lighting Memory-Mapped Database (LMDB) is an ultra-fast, ultra-compact
  key-value embedded data store developed for the OpenLDAP Project.  It uses
@@ -80,9 +82,11 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
+Breaks: liblmdb-dev (<< 0.9.9-1)
+Replaces: liblmdb-dev (<< 0.9.9-1)
 Description: Lightning Memory-Mapped Database doxygen documentation
- This package contains the doxygen generated documentation for the
- LMDB library.
+ This package contains the doxygen generated documentation and the man
+ pages for the LMDB library.
  .
  Lighting Memory-Mapped Database (LMDB) is an ultra-fast, ultra-compact
  key-value embedded data store developed for the OpenLDAP Project.  It uses

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH

MANPAGES=compat.3 debug.3 errors.3 idls.3 internal.3 lmdb.h.3 mt_dbflag.3 readers.3 todo.3 Version.3

%:
	dh $@ -Dlibraries/liblmdb/

override_dh_auto_clean:
	dh_auto_clean -Dlibraries/liblmdb/
	rm -rf html man

override_dh_auto_build:
	dh_auto_build -Dlibraries/liblmdb/
	cd libraries/liblmdb && doxygen
	cd libraries/liblmdb && \
	for m in $(MANPAGES); do \
	  mv man/man3/$$m man/man3/mdb_$$m; \
	done

override_dh_strip:
	dh_strip --dbg-package=lmdb-dbg

override_dh_install:
	dh_install -X.la --fail-missing

override_dh_auto_test:
	dh_auto_test -Dlibraries/liblmdb/

## lmdb 0.9.11

=== debian/changelog ===
lmdb (0.9.11-1) unstable; urgency=low

  * New upstream version 0.9.11
  * Updated debian/liblmdb0.symbols with three new symbols

 -- Ondřej Surý <ondrej@debian.org>  Tue, 11 Feb 2014 15:24:08 +0100

## lmdb 0.9.14

=== debian/changelog ===
lmdb (0.9.14-1) unstable; urgency=medium

  * Add Vcs-* links
  * New upstream version 0.9.14
  * Update patches for 0.9.14 release (mdb_load/mdb_dump utils)
  * Update liblmdb0.symbols with new symbols

 -- Ondřej Surý <ondrej@debian.org>  Mon, 13 Oct 2014 23:16:12 +0200

## lmdb 0.9.15

=== debian/changelog ===
lmdb (0.9.15-1) unstable; urgency=medium

  * New upstream version 0.9.15
  * Update patched upstream Makefile
  * Make the builds reproducible by setting HTML_TIMESTAMP=NO in Doxyfile
    (Courtesy of Maria Valentina Marin) (Closes: #789087)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 01 Jul 2015 13:55:39 +0200

## lmdb 0.9.16

=== debian/changelog ===
lmdb (0.9.16-1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1519863)

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 25 Nov 2015 15:13:58 +0000

lmdb (0.9.16-1) unstable; urgency=medium

  * Imported Upstream version 0.9.16

 -- Ondřej Surý <ondrej@debian.org>  Mon, 21 Sep 2015 10:23:08 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,8 @@
 	       doxygen
 Standards-Version: 3.9.4
 Homepage: http://symas.com/mdb/
+Vcs-Browser: http://anonscm.debian.org/?p=pkg-db/lmdb.git
+Vcs-Git: git://anonscm.debian.org/pkg-db/lmdb.git
 
 Package: lmdb-utils
 Architecture: any

## lmdb 0.9.17

=== libraries/liblmdb/Makefile ===
--- 
+++ 
@@ -13,11 +13,13 @@
 # - MDB_FDATASYNC
 # - MDB_FDATASYNC_WORKS
 # - MDB_USE_PWRITEV
+# - MDB_USE_ROBUST
 #
 # There may be other macros in mdb.c of interest. You should
 # read mdb.c before changing any of them.
 #
 CC	= gcc
+AR	= ar
 W	= -W -Wall -Wno-unused-parameter -Wbad-function-cast -Wuninitialized
 THREADS = -pthread
 OPT = -O2 -g
@@ -25,6 +27,7 @@
 LDLIBS	=
 SOLIBS	=
 prefix	= /usr/local
+mandir = $(prefix)/man
 
 ########################################################################
 
@@ -36,10 +39,14 @@
 all:	$(ILIBS) $(PROGS)
 
 install: $(ILIBS) $(IPROGS) $(IHDRS)
+	mkdir -p $(DESTDIR)$(prefix)/bin
+	mkdir -p $(DESTDIR)$(prefix)/lib
+	mkdir -p $(DESTDIR)$(prefix)/include
+	mkdir -p $(DESTDIR)$(prefix)/man/man1
 	for f in $(IPROGS); do cp $$f $(DESTDIR)$(prefix)/bin; done
 	for f in $(ILIBS); do cp $$f $(DESTDIR)$(prefix)/lib; done
 	for f in $(IHDRS); do cp $$f $(DESTDIR)$(prefix)/include; done
-	for f in $(IDOCS); do cp $$f $(DESTDIR)$(prefix)/man/man1; done
+	for f in $(IDOCS); do cp $$f $(DESTDIR)$(mandir)/man1; done
 
 clean:
 	rm -rf $(PROGS) *.[ao] *.[ls]o *~ testdb
@@ -49,7 +56,7 @@
 	./mtest && ./mdb_stat testdb
 
 liblmdb.a:	mdb.o midl.o
-	ar rs $@ mdb.o midl.o
+	$(AR) rs $@ mdb.o midl.o
 
 liblmdb.so:	mdb.lo midl.lo
 #	$(CC) $(LDFLAGS) -pthread -shared -Wl,-Bsymbolic -o $@ mdb.o midl.o $(SOLIBS)

=== debian/changelog ===
lmdb (0.9.17-3) unstable; urgency=medium

  * Use `cp -pP` instead of `cp` in upstream Makefile to preserve mode and
    permissions on installed files (Closes: #808785)
  * Update liblmdb0.symbols file

 -- Ondřej Surý <ondrej@debian.org>  Mon, 28 Dec 2015 15:53:32 +0100

lmdb (0.9.17-2) unstable; urgency=medium

  * Use  instead of  in upstream Makefile to preserve mode and permissions on installed files (Closes: #808785)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 28 Dec 2015 15:41:51 +0100

lmdb (0.9.17-1) unstable; urgency=medium

  * Imported Upstream version 0.9.17
  * Rebase patches on top of 0.9.17 release
  * Add missing ${shlibs:Depends} to liblmdb-dev
  * Run wrap-and-sort -a over d/
  * Bump standards version to 3.9.6.1 (no changes)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 22 Dec 2015 11:05:50 +0100

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Maintainer: Debian Berkeley DB Group <pkg-db-devel@lists.alioth.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>
 Build-Depends: debhelper (>= 9),
-	       doxygen
-Standards-Version: 3.9.4
+               doxygen
+Standards-Version: 3.9.6.1
 Homepage: http://symas.com/mdb/
 Vcs-Browser: http://anonscm.debian.org/?p=pkg-db/lmdb.git
 Vcs-Git: git://anonscm.debian.org/pkg-db/lmdb.git
 
 Package: lmdb-utils
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Multi-Arch: foreign
 Description: Lightning Memory-Mapped Database Utilities
  This package provides tools for manipulating LMDB databases:
@@ -32,7 +33,7 @@
 Priority: extra
 Pre-Depends: multiarch-support
 Depends: liblmdb0 (= ${binary:Version}),
-	 ${misc:Depends}
+         ${misc:Depends}
 Multi-Arch: same
 Description: Lightning Memory-Mapped Database debug files
  This package provides the detached debug symbols for the LMDB libraries
@@ -49,7 +50,8 @@
 Architecture: any
 Section: libs
 Pre-Depends: multiarch-support
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Multi-Arch: same
 Description: Lightning Memory-Mapped Database shared library
  This package contains the LMDB shared library.
@@ -67,7 +69,8 @@
 Pre-Depends: multiarch-support
 Multi-Arch: same
 Depends: liblmdb0 (= ${binary:Version}),
-	 ${misc:Depends}
+         ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: lmdb-doc
 Description: Lightning Memory-Mapped Database development files
  This package contains the development libraries, header files.  Install

## lmdb 0.9.18

=== debian/changelog ===
lmdb (0.9.18-4~ubuntu16.04.1) xenial-backports; urgency=medium

  * No-change backport to xenial

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 26 May 2017 11:22:59 +0100

lmdb (0.9.18-4) unstable; urgency=medium

  * Fix arch:all builds
  * Use MDB_USE_POSIX_SEM on kFreeBSD

 -- Ondřej Surý <ondrej@debian.org>  Fri, 20 May 2016 14:37:25 +0200

lmdb (0.9.18-3) unstable; urgency=medium

  * Kill dbg package and replace it with dbgsym

 -- Ondřej Surý <ondrej@debian.org>  Fri, 20 May 2016 09:23:19 +0200

lmdb (0.9.18-2) unstable; urgency=medium

  * Add lmdb.pc to liblmdb-dev

 -- Ondřej Surý <ondrej@debian.org>  Fri, 20 May 2016 09:15:07 +0200

lmdb (0.9.18-1) unstable; urgency=medium

  * Imported Upstream version 0.9.18
  * Enable full Debian hardening
  * Compile mdb_* tools with static library

 -- Ondřej Surý <ondrej@debian.org>  Fri, 01 Apr 2016 15:07:29 +0200

=== debian/control ===
--- 
+++ 
@@ -27,29 +27,9 @@
  databases, and is only limited to the size of the virtual address space, (it
  is not limited to the size of physical RAM).
 
-Package: lmdb-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Pre-Depends: multiarch-support
-Depends: liblmdb0 (= ${binary:Version}),
-         ${misc:Depends}
-Multi-Arch: same
-Description: Lightning Memory-Mapped Database debug files
- This package provides the detached debug symbols for the LMDB libraries
- and utilities.
- .
- Lighting Memory-Mapped Database (LMDB) is an ultra-fast, ultra-compact
- key-value embedded data store developed for the OpenLDAP Project.  It uses
- memory-mapped files, so it has the read performance of a pure in-memory
- database while still offering the persistence of standard disk-based
- databases, and is only limited to the size of the virtual address space, (it
- is not limited to the size of physical RAM).
-
 Package: liblmdb0
 Architecture: any
 Section: libs
-Pre-Depends: multiarch-support
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Multi-Arch: same
@@ -66,7 +46,6 @@
 Package: liblmdb-dev
 Architecture: any
 Section: libdevel
-Pre-Depends: multiarch-support
 Multi-Arch: same
 Depends: liblmdb0 (= ${binary:Version}),
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,11 @@
 #!/usr/bin/make -f
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-export DEB_HOST_MULTIARCH
+# enable dpkg build flags
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/default.mk
+
+export XCFLAGS := $(shell dpkg-buildflags --get CFLAGS)
 
 MANPAGES=compat.3 debug.3 errors.3 idls.3 internal.3 lmdb.h.3 mt_dbflag.3 readers.3 todo.3 Version.3
 
@@ -21,10 +25,18 @@
 	done
 
 override_dh_strip:
-	dh_strip --dbg-package=lmdb-dbg
+	dh_strip --dbgsym-migration='lmdb-dbg (<< 0.9.18-3~)' || dh_strip
 
-override_dh_install:
-	dh_install -X.la --fail-missing
+override_dh_install-arch:
+	dh_install -X.la
+	mkdir debian/liblmdb-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
+	sed -e 's,@prefix@,/usr,' \
+	    -e 's,@exec_prefix@,$${prefix},' \
+	    -e 's,@libdir@,$${prefix}/lib/$(DEB_HOST_MULTIARCH),' \
+	    -e 's,@includedir@,$${prefix}/include,' \
+	    -e 's,@PACKAGE_VERSION@,$(DEB_VERSION_UPSTREAM),' \
+	  < debian/lmdb.pc.in \
+	  > debian/liblmdb-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/lmdb.pc
 
 override_dh_auto_test:
 	dh_auto_test -Dlibraries/liblmdb/

## lmdb 0.9.19

=== debian/changelog ===
lmdb (0.9.19-1) unstable; urgency=medium

  * New upstream version 0.9.19
  * Rebase patches on top of 0.9.19 release

 -- Ondřej Surý <ondrej@debian.org>  Mon, 27 Feb 2017 21:23:25 +0100

lmdb (0.9.18-5) unstable; urgency=medium

  * Disable tests on GNU Hurd, this doesn't guarantee compatibility, just
    the build

 -- Ondřej Surý <ondrej@debian.org>  Mon, 14 Nov 2016 03:50:45 +0100

## lmdb 0.9.21

=== debian/changelog ===
lmdb (0.9.21-1ubuntu0.1) bionic-proposed; urgency=medium

  * Add ubuntu_01_remove_loose_pg_from_dirty_list_in_freelist_save.diff
  * Fixes common crash in Baloo file indexer
  * SRU LP: #1812122

 -- Jonathan Riddell <jr@jriddell.org>  Thu, 21 Feb 2019 16:59:57 +0000

lmdb (0.9.21-1) unstable; urgency=medium

  * Add d/watch file pointing to official github repository
  * New upstream version 0.9.21

 -- Ondřej Surý <ondrej@debian.org>  Thu, 08 Jun 2017 08:59:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lmdb
 Section: database
 Priority: optional
-Maintainer: Debian Berkeley DB Group <pkg-db-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Berkeley DB Group <pkg-db-devel@lists.alioth.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>
 Build-Depends: debhelper (>= 9),
                doxygen

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/LMDB_(\d\S+)\.tar\.gz/lmdb-$1\.tar\.gz/ \
  https://github.com/LMDB/lmdb/releases .*/LMDB_(\d\S+)\.tar\.gz

## lmdb 0.9.22

=== debian/changelog ===
lmdb (0.9.22-1ubuntu0.1) cosmic-proposed; urgency=medium

  * Add ubuntu_01_remove_loose_pg_from_dirty_list_in_freelist_save.diff
  * Fixes common crash in Baloo file indexer
  * SRU LP: #1812122

 -- Jonathan Riddell <jr@jriddell.org>  Thu, 28 Feb 2019 15:52:40 +0000

lmdb (0.9.22-1) unstable; urgency=medium

  * New upstream version 0.9.22 (Closes: #855688)
  * Update Maintainer and Vcs-* links (Closes: #899598)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 16 Jul 2018 18:14:38 +0000

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: database
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Berkeley DB Group <pkg-db-devel@lists.alioth.debian.org>
+XSBC-Original-Maintainer: LMDB <lmdb@packages.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>
 Build-Depends: debhelper (>= 9),
                doxygen
-Standards-Version: 3.9.6.1
+Standards-Version: 4.1.5.0
 Homepage: http://symas.com/mdb/
-Vcs-Browser: http://anonscm.debian.org/?p=pkg-db/lmdb.git
-Vcs-Git: git://anonscm.debian.org/pkg-db/lmdb.git
+Vcs-Browser: https://salsa.debian.org/debian/lmdb
+Vcs-Git: https://salsa.debian.org/debian/lmdb.git
 
 Package: lmdb-utils
 Architecture: any

## lmdb 0.9.23

=== debian/changelog ===
lmdb (0.9.23-0ubuntu1) disco; urgency=medium

  * New upstream release (0.9.23) (LP: #1812121)
  * d/copyright: Use https protocol in Format field.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 16 Jan 2019 08:26:01 +0000

## lmdb 0.9.24

=== debian/changelog ===
lmdb (0.9.24-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Ondřej Surý ]
  * Bump the dh compat to 10
  * Update Makefile patch to fix the parallel build
  * New upstream version 0.9.24

 -- Ondřej Surý <ondrej@debian.org>  Wed, 25 Mar 2020 15:24:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: lmdb
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: LMDB <lmdb@packages.debian.org>
+Maintainer: LMDB <lmdb@packages.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                doxygen
 Standards-Version: 4.1.5.0
 Homepage: http://symas.com/mdb/

=== debian/rules ===
--- 
+++ 
@@ -39,4 +39,6 @@
 	  > debian/liblmdb-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/lmdb.pc
 
 override_dh_auto_test:
+ifneq ($(DEB_HOST_ARCH),hurd-i386)
 	dh_auto_test -Dlibraries/liblmdb/
+endif

## lmdb 0.9.31

=== debian/changelog ===
lmdb (0.9.31-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:11:23 +0200

lmdb (0.9.31-1) unstable; urgency=medium

  * New upstream version 0.9.31 (Closes: #952904)

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Drop transition for old debug package migration.

  [ Matthias Klumpp ]
  * Update d/watch file with new source location

  [ Jenkins ]
  * Apply multi-arch hints. + lmdb-doc: Add Multi-Arch: foreign.

  [ Daniel Salzman ]
  * Update d/watch: fix detection

  [ Jakub Ružička ]
  * Add d/gbp.conf: use pristine-tar
  * Update Standards-Version to latest 4.6.2.0
  * Bump debhelper-compat to 13
  * Add myself to Uploaders
  * Enable Salsa CI

 -- Jakub Ružička <jru@debian.org>  Wed, 16 Aug 2023 13:53:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: lmdb
 Section: database
 Priority: optional
-Maintainer: LMDB <lmdb@packages.debian.org>
-Uploaders: Ondřej Surý <ondrej@debian.org>
-Build-Depends: debhelper (>= 10),
-               doxygen
-Standards-Version: 4.1.5.0
-Homepage: http://symas.com/mdb/
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: LMDB <lmdb@packages.debian.org>
+Uploaders: Ondřej Surý <ondrej@debian.org>,
+           Jakub Ružička <jru@debian.org>
+Build-Depends: debhelper-compat (= 13), doxygen
+Standards-Version: 4.6.2.0
+Homepage: https://symas.com/mdb/
 Vcs-Browser: https://salsa.debian.org/debian/lmdb
 Vcs-Git: https://salsa.debian.org/debian/lmdb.git
 
@@ -68,6 +69,7 @@
 Depends: ${misc:Depends}
 Breaks: liblmdb-dev (<< 0.9.9-1)
 Replaces: liblmdb-dev (<< 0.9.9-1)
+Multi-Arch: foreign
 Description: Lightning Memory-Mapped Database doxygen documentation
  This package contains the doxygen generated documentation and the man
  pages for the LMDB library.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/openldap-LMDB_([\d\.]+)\.tar\.gz/lmdb-$1\.tar\.gz/ \
  https://git.openldap.org/openldap/openldap/-/tags?sort=updated_desc&search=lmdb archive/LMDB_(?:[\d\.]+)/openldap-LMDB_([\d\.]+)\.tar\.gz
